{
    "$graph": [
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/sqlite:1"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#get_int_sqlite.cwl/sqlite_expression",
                    "type": "string",
                    "inputBinding": {
                        "position": 1
                    }
                },
                {
                    "id": "#get_int_sqlite.cwl/sqlite_file",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "stdout": "output.txt",
            "baseCommand": [
                "sqlite3"
            ],
            "id": "#get_int_sqlite.cwl",
            "outputs": [
                {
                    "id": "#get_int_sqlite.cwl/result",
                    "type": "int",
                    "outputBinding": {
                        "glob": "output.txt",
                        "loadContents": true,
                        "outputEval": "$(parseInt(self[0].contents))"
                    }
                }
            ]
        },
        {
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "class": "ExpressionTool",
            "inputs": [
                {
                    "id": "#logical_conjunction_expression.cwl/values",
                    "type": {
                        "type": "array",
                        "items": "boolean"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#logical_conjunction_expression.cwl/result",
                    "type": "boolean"
                }
            ],
            "expression": "${\n   var result = true;\n\n   for (var i = 0; i < inputs.values.length; i++) {\n     result = result && inputs.values[i];\n   }\n   return {'result': result}\n }\n",
            "id": "#logical_conjunction_expression.cwl"
        },
        {
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/ncigdc/bc:1"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "id": "#test_int.cwl/expected_value",
                    "type": "int"
                },
                {
                    "id": "#test_int.cwl/test_value",
                    "type": "int"
                }
            ],
            "stdout": "output.txt",
            "arguments": [
                {
                    "valueFrom": "${\n  return \"if (( $(echo \\\"\" + inputs.expected_value + \" == \" + inputs.test_value + \"\\\" | bc -l) )); then printf 1 ; else printf 0 ; fi\";\n}\n"
                }
            ],
            "outputs": [
                {
                    "id": "#test_int.cwl/result",
                    "type": "boolean",
                    "outputBinding": {
                        "glob": "output.txt",
                        "loadContents": true,
                        "outputEval": "$(Boolean(parseInt(self[0].contents)))"
                    }
                }
            ],
            "baseCommand": [
                "bash",
                "-c"
            ],
            "id": "#test_int.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "id": "#main/sqlite_file",
                    "type": "File"
                },
                {
                    "id": "#main/sql_count_fastq_files",
                    "type": "string"
                },
                {
                    "id": "#main/exp_count_fastq_files",
                    "type": "int"
                },
                {
                    "id": "#main/sql_count_files_output",
                    "type": "string"
                },
                {
                    "id": "#main/exp_count_files_output",
                    "type": "int"
                },
                {
                    "id": "#main/sql_count_readgroups",
                    "type": "string"
                },
                {
                    "id": "#main/exp_count_readgroups",
                    "type": "int"
                },
                {
                    "id": "#main/sql_bases_mapped_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_bases_mapped_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_average_quality_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_average_quality_samtools_stats",
                    "type": "double"
                },
                {
                    "id": "#main/sql_bases_duplicated_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_bases_duplicated_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_pairs_diff_chr_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_pairs_diff_chr_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_pairs_other_orient_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_pairs_other_orient_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_raw_total_seq_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_raw_total_seq_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_reads_mq0_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_reads_mq0_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_reads_dup_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_reads_dup_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_reads_mapped_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_reads_mapped_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_reads_mapped_and_paired_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_reads_mapped_and_paired_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_reads_paired_samtool_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_reads_paired_samtool_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_reads_prop_paired_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_reads_prop_paired_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_read_unmapped_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_read_unmapped_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_seqs_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_seqs_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_total_length_samtools_stats",
                    "type": "string"
                },
                {
                    "id": "#main/exp_total_length_samtools_stats",
                    "type": "int"
                },
                {
                    "id": "#main/sql_read_pairs_picard_markduplicates",
                    "type": "string"
                },
                {
                    "id": "#main/exp_read_pairs_picard_markduplicates",
                    "type": "int"
                },
                {
                    "id": "#main/sql_read_pair_dups_picard_markduplicates",
                    "type": "string"
                },
                {
                    "id": "#main/exp_read_pair_dups_picard_markduplicates",
                    "type": "int"
                }
            ],
            "outputs": [
                {
                    "id": "#main/tests_logical_conjunction_result",
                    "type": "boolean",
                    "outputSource": "#main/tests_logical_conjunction/result"
                }
            ],
            "steps": [
                {
                    "id": "#main/sqlite_count_fastq_files",
                    "run": "#get_int_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/sqlite_count_fastq_files/sqlite_expression",
                            "source": "#main/sql_count_fastq_files"
                        },
                        {
                            "id": "#main/sqlite_count_fastq_files/sqlite_file",
                            "source": "#main/sqlite_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/sqlite_count_fastq_files/result"
                        }
                    ]
                },
                {
                    "id": "#main/sqlite_count_files_output",
                    "run": "#get_int_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/sqlite_count_files_output/sqlite_expression",
                            "source": "#main/sql_count_files_output"
                        },
                        {
                            "id": "#main/sqlite_count_files_output/sqlite_file",
                            "source": "#main/sqlite_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/sqlite_count_files_output/result"
                        }
                    ]
                },
                {
                    "id": "#main/sqlite_count_readgroups",
                    "run": "#get_int_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/sqlite_count_readgroups/sqlite_expression",
                            "source": "#main/sql_count_readgroups"
                        },
                        {
                            "id": "#main/sqlite_count_readgroups/sqlite_file",
                            "source": "#main/sqlite_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/sqlite_count_readgroups/result"
                        }
                    ]
                },
                {
                    "id": "#main/sqlite_bases_mapped_samtools_stats",
                    "run": "#get_int_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/sqlite_bases_mapped_samtools_stats/sqlite_expression",
                            "source": "#main/sql_bases_mapped_samtools_stats"
                        },
                        {
                            "id": "#main/sqlite_bases_mapped_samtools_stats/sqlite_file",
                            "source": "#main/sqlite_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/sqlite_bases_mapped_samtools_stats/result"
                        }
                    ]
                },
                {
                    "id": "#main/sqlite_reads_mapped_samtools_stats",
                    "run": "#get_int_sqlite.cwl",
                    "in": [
                        {
                            "id": "#main/sqlite_reads_mapped_samtools_stats/sqlite_expression",
                            "source": "#main/sql_reads_mapped_samtools_stats"
                        },
                        {
                            "id": "#main/sqlite_reads_mapped_samtools_stats/sqlite_file",
                            "source": "#main/sqlite_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/sqlite_reads_mapped_samtools_stats/result"
                        }
                    ]
                },
                {
                    "id": "#main/test_count_fastq_files",
                    "run": "#test_int.cwl",
                    "in": [
                        {
                            "id": "#main/test_count_fastq_files/expected_value",
                            "source": "#main/exp_count_fastq_files"
                        },
                        {
                            "id": "#main/test_count_fastq_files/test_value",
                            "source": "#main/sqlite_count_fastq_files/result"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/test_count_fastq_files/result"
                        }
                    ]
                },
                {
                    "id": "#main/test_count_files_output",
                    "run": "#test_int.cwl",
                    "in": [
                        {
                            "id": "#main/test_count_files_output/expected_value",
                            "source": "#main/exp_count_files_output"
                        },
                        {
                            "id": "#main/test_count_files_output/test_value",
                            "source": "#main/sqlite_count_files_output/result"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/test_count_files_output/result"
                        }
                    ]
                },
                {
                    "id": "#main/test_count_readgroups",
                    "run": "#test_int.cwl",
                    "in": [
                        {
                            "id": "#main/test_count_readgroups/expected_value",
                            "source": "#main/exp_count_readgroups"
                        },
                        {
                            "id": "#main/test_count_readgroups/test_value",
                            "source": "#main/sqlite_count_readgroups/result"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/test_count_readgroups/result"
                        }
                    ]
                },
                {
                    "id": "#main/test_bases_mapped_samtools_stats",
                    "run": "#test_int.cwl",
                    "in": [
                        {
                            "id": "#main/test_bases_mapped_samtools_stats/expected_value",
                            "source": "#main/exp_bases_mapped_samtools_stats"
                        },
                        {
                            "id": "#main/test_bases_mapped_samtools_stats/test_value",
                            "source": "#main/sqlite_bases_mapped_samtools_stats/result"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/test_bases_mapped_samtools_stats/result"
                        }
                    ]
                },
                {
                    "id": "#main/test_reads_mapped_samtools_stats",
                    "run": "#test_int.cwl",
                    "in": [
                        {
                            "id": "#main/test_reads_mapped_samtools_stats/expected_value",
                            "source": "#main/exp_reads_mapped_samtools_stats"
                        },
                        {
                            "id": "#main/test_reads_mapped_samtools_stats/test_value",
                            "source": "#main/sqlite_reads_mapped_samtools_stats/result"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/test_reads_mapped_samtools_stats/result"
                        }
                    ]
                },
                {
                    "id": "#main/tests_logical_conjunction",
                    "run": "#logical_conjunction_expression.cwl",
                    "in": [
                        {
                            "id": "#main/tests_logical_conjunction/values",
                            "source": [
                                "#main/test_count_fastq_files/result",
                                "#main/test_count_files_output/result",
                                "#main/test_count_readgroups/result",
                                "#main/test_bases_mapped_samtools_stats/result",
                                "#main/test_reads_mapped_samtools_stats/result"
                            ]
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/tests_logical_conjunction/result"
                        }
                    ]
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
